## GimpColorConfig GimpColorConfig — Color management settings. |

## Properties

GimpConfigPath | cmyk-profile | Read / Write / Construct
gchar * | display-module | Read / Write / Construct
GimpConfigPath | display-profile | Read / Write / Construct
gboolean | display-profile-from-gdk | Read / Write / Construct
GimpColorRenderingIntent | display-rendering-intent | Read / Write / Construct
GimpColorManagementMode | mode | Read / Write / Construct
GimpRGB * | out-of-gamut-color | Read / Write / Construct
GimpConfigPath | printer-profile | Read / Write / Construct
GimpConfigPath | rgb-profile | Read / Write / Construct
gboolean | simulation-gamut-check | Read / Write / Construct
GimpColorRenderingIntent | simulation-rendering-intent | Read / Write / Construct

## Types and Values

| GimpColorConfig
enum | GimpColorManagementMode
enum | GimpColorRenderingIntent

## Object Hierarchy

        GObject
        ╰── GimpColorConfig

## Implemented Interfaces

GimpColorConfig implements GimpConfigInterface.

## Description

Color management settings.

## Functions

## Types and Values

### GimpColorConfig

    typedef struct {
      GimpColorManagementMode     mode;
      gchar                      *rgb_profile;
      gchar                      *cmyk_profile;
      gchar                      *display_profile;
      gboolean                    display_profile_from_gdk;
      gchar                      *printer_profile;
      GimpColorRenderingIntent    display_intent;
      GimpColorRenderingIntent    simulation_intent;

      gchar                      *display_module;

      gboolean                    simulation_gamut_check;
      GimpRGB                     out_of_gamut_color;
    } GimpColorConfig;

### enum GimpColorManagementMode

#### Members

GIMP_COLOR_MANAGEMENT_OFF |  |
GIMP_COLOR_MANAGEMENT_DISPLAY |  |
GIMP_COLOR_MANAGEMENT_SOFTPROOF |  |

### enum GimpColorRenderingIntent

#### Members

GIMP_COLOR_RENDERING_INTENT_PERCEPTUAL |  |
GIMP_COLOR_RENDERING_INTENT_RELATIVE_COLORIMETRIC |  |
GIMP_COLOR_RENDERING_INTENT_SATURATION |  |
GIMP_COLOR_RENDERING_INTENT_ABSOLUTE_COLORIMETRIC |  |

## Property Details

### The `“cmyk-profile”` property

      “cmyk-profile”             GimpConfigPath

The CMYK color profile used to convert between RGB and CMYK.

Flags: Read / Write / Construct

Default value: NULL

### The `“display-module”` property

      “display-module”           gchar *

Flags: Read / Write / Construct

Default value: "CdisplayLcms"

### The `“display-profile”` property

      “display-profile”          GimpConfigPath

The color profile of your (primary) monitor.

Flags: Read / Write / Construct

Default value: NULL

### The `“display-profile-from-gdk”` property

      “display-profile-from-gdk” gboolean

When enabled, GIMP will try to use the display color profile from the windowing system. The configured monitor profile is then only used as a fallback.

Flags: Read / Write / Construct

Default value: FALSE

### The `“display-rendering-intent”` property

      “display-rendering-intent” GimpColorRenderingIntent

Sets how colors are mapped for your display.

Flags: Read / Write / Construct

Default value: GIMP_COLOR_RENDERING_INTENT_PERCEPTUAL

### The `“mode”` property

      “mode”                     GimpColorManagementMode

Mode of operation for color management.

Flags: Read / Write / Construct

Default value: GIMP_COLOR_MANAGEMENT_DISPLAY

### The `“out-of-gamut-color”` property

      “out-of-gamut-color”       GimpRGB *

The color to use for marking colors which are out of gamut.

Flags: Read / Write / Construct

### The `“printer-profile”` property

      “printer-profile”          GimpConfigPath

The color profile used for simulating a printed version (softproof).

Flags: Read / Write / Construct

Default value: NULL

### The `“rgb-profile”` property

      “rgb-profile”              GimpConfigPath

The default RGB working space color profile.

Flags: Read / Write / Construct

Default value: NULL

### The `“simulation-gamut-check”` property

      “simulation-gamut-check”   gboolean

When enabled, the print simulation will mark colors which can not be represented in the target color space.

Flags: Read / Write / Construct

Default value: FALSE

### The `“simulation-rendering-intent”` property

      “simulation-rendering-intent” GimpColorRenderingIntent

Sets how colors are converted from RGB working space to the print simulation device.

Flags: Read / Write / Construct

Default value: GIMP_COLOR_RENDERING_INTENT_PERCEPTUAL